Name:		dbacl
Version:	1.14
Release:	1%{?dist}
Summary:	dbacl is a fast Bayesian text and email classifier. 
Group:		Development/Libraries
License:	GPLv3+
URL:		https://www.lbreyer.com/gpl/
Source0:	https://www.lbreyer.com/gpl/%{name}-%{version}.tar.gz

Provides:	%{name} = %{version}-%{release}
BuildRequires:	automake
BuildRequires:	procmail

%description

dbacl is a fast Bayesian text and email classifier. It builds a
variety of language models using maximum entropy (minimum divergence)
principles, and these can then be used to categorize input data
automatically among multiple categories.  It is small and fast, and
suitable for spam filtering or other classification tasks.

See https://www.lbreyer.com/dbacl/ for discussion on how it works.


%prep
%setup -q


%build
%configure
make %{?_smp_mflags}


%check
make check %{?_smp_mflags}


%install
%make_install DESTDIR=%{buildroot}
# include later as subpackage
rm -rf %{buildroot}/usr/share/dbacl/TREC
rm -rf %{buildroot}/usr/share/dbacl/testsuite
rm -rf %{buildroot}/usr/share/dbacl/doc


%files
%doc AUTHORS ChangeLog COPYING INSTALL NEWS README doc/*.{html,txt,risk,ps,pl}
%{_mandir}/man1/*.1.gz
%{_bindir}/dbacl
%{_bindir}/hmine
%{_bindir}/hypex
%{_bindir}/bayesol
%{_bindir}/mailcross
%{_bindir}/mailtoe
%{_bindir}/mailinspect
%{_bindir}/mailfoot


%changelog
* Sat Jun 13 2015 Suvayu Ali <fatkasuvayu+linux@gmail.com> - 1.14-1
- Build require: procmail, for testing

* Sat Jun 13 2015 Suvayu Ali <fatkasuvayu+linux@gmail.com> - 1.14-1
- First package for dbacl
